io_uring_unregister_napi(3)

NAME
io_uring_unregister_napi - unregister NAPI busy poll settings

SYNOPSIS
#include <liburing.h>

int io_uring_unregister_napi(struct io_uring *ring,
                             struct io_uring_napi *napi)

DESCRIPTION

The io_uring_unregister_napi(3) function unregisters the NAPI busy poll settings for subsequent operations.

RETURN VALUE
On success io_uring_unregister_napi(3) return 0. On failure they return -errno. It also updates the napi structure with the current values.